import { AmqpPublisher } from '@jfrog-pipelines/amqp-client';
import { NodePool } from '@jfrog-pipelines/data-access-layer';
export declare class NodeProvisioner {
    private logger;
    private readonly nodeService;
    private readonly buildPlaneService;
    constructor(publisher: AmqpPublisher);
    provision(nodePool: NodePool): Promise<void>;
    private getNodes;
    private getBuildMessageCount;
    private calculateRequiredNodes;
    private useCacheNodes;
    private provisionActiveNodes;
}
