import { IWorker, StoreType } from '@jfrog-pipelines/microservice';
import { ServiceMetaType } from '@jfrog-pipelines/utility';
export declare type NodePoolServicePayload = {
    nodePoolId: number;
};
export declare class NodePoolWorker implements IWorker {
    private readonly details;
    private readonly store;
    private readonly logger;
    private readonly nodePoolService;
    private readonly systemProperties;
    constructor(details: ServiceMetaType, store: StoreType);
    process(message: {
        [key: string]: unknown;
    }): Promise<void>;
    startCollectingOrphanNodes(): Promise<void>;
    private collectOrphanNodes;
}
